---
title: Available Plan Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Zones](https://developers.cloudflare.com/api/go/resources/zones)

[Plans](https://developers.cloudflare.com/api/go/resources/zones/subresources/plans)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Available Plan Details

client.Zones.Plans.Get(ctx, planIdentifier, query) (\*[AvailableRatePlan](<https://developers.cloudflare.com/api/go/resources/zones#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/available\_plans/{plan\_identifier}

Details of the available plan that the zone can subscribe to.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Billing Write``Billing Read`

##### ParametersExpand Collapse

planIdentifier string

Identifier

maxLength32

[Link to this property](<#(resource)%20zones.plans%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20plan_identifier%20%3E%20(schema)>)

<details>

<summary>

query PlanGetParams

</summary>

ZoneID param.Field\[string]

Identifier

maxLength32

<a href="#(resource)%20zones.plans%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.plans%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type AvailableRatePlan struct{…}

</summary>

ID stringOptional

Identifier

maxLength32

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CanSubscribe boolOptional

Indicates whether you can subscribe to this plan.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20can_subscribe">Link to this property</a>

Currency stringOptional

The monetary unit in which pricing information is displayed.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20currency">Link to this property</a>

ExternallyManaged boolOptional

Indicates whether this plan is managed externally.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20externally_managed">Link to this property</a>

<details>

<summary>

Frequency AvailableRatePlanFrequencyOptional

The frequency at which you will be billed for this plan.

</summary>

One of the following:

const AvailableRatePlanFrequencyWeekly AvailableRatePlanFrequency = "weekly"

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%200">Link to this property</a>

const AvailableRatePlanFrequencyMonthly AvailableRatePlanFrequency = "monthly"

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%201">Link to this property</a>

const AvailableRatePlanFrequencyQuarterly AvailableRatePlanFrequency = "quarterly"

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%202">Link to this property</a>

const AvailableRatePlanFrequencyYearly AvailableRatePlanFrequency = "yearly"

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20frequency">Link to this property</a>

IsSubscribed boolOptional

Indicates whether you are currently subscribed to this plan.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20is_subscribed">Link to this property</a>

LegacyID stringOptional

The legacy identifier for this rate plan, if any.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20legacy_id">Link to this property</a>

Name stringOptional

The plan name.

maxLength80

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

Price float64Optional

The amount you will be billed for this plan.

<a href="#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)%20%3E%20(property)%20price">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.plans%20%3E%20(model)%20available_rate_plan%20%3E%20(schema)>)

### Available Plan Details

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zones"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  availableRatePlan, err := client.Zones.Plans.Get(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    zones.PlanGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", availableRatePlan.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "can_subscribe": true,
    "currency": "USD",
    "externally_managed": false,
    "frequency": "monthly",
    "is_subscribed": false,
    "legacy_id": "free",
    "name": "Free Plan",
    "price": 0
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "can_subscribe": true,
    "currency": "USD",
    "externally_managed": false,
    "frequency": "monthly",
    "is_subscribed": false,
    "legacy_id": "free",
    "name": "Free Plan",
    "price": 0
  },
  "success": true
}
```